{% extends "_base.html" %} {% block content %} {% for book_data in books_data %}
<div class="index">
  <div class="book-card">
    <h3>{{ book_data.book.title }}</h3>
    <p>by {{ book_data.book.author }}</p>
    <p>Published on {{ book_data.book.published_date.strftime('%Y-%m-%d') }}</p>
    <img
      src="data:image/jpeg;base64,{{ book_data.image_data|safe }}"
      alt="Book image"
    />
    <p>{{ book_data.book.description }}</p>
  </div>
</div>
{% endfor %} {% endblock %}
